%global forgeurl https://gitlab.com/fedora/sigs/go/go2rpm
%define tag v%{version}

Name:           go2rpm
Version:        1.12.0^3.20240328.ffbadcc
%forgemeta
Release:        1
Summary:        Convert Go packages to RPM

License:        MIT
URL:            %{forgeurl}
Source:         go2rpm-1.12.0^3.20240328.ffbadcc.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       askalono-cli
Requires:       compiler(go-compiler)
# Recommend go2rpm all extra that includes packages needed for the vendor
# profile
Recommends:     go2rpm+all

%description
Convert Go packages to RPM.

%prep
%autosetup 

%generate_buildrequires
%pyproject_buildrequires -x all,test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{name}

%pyproject_extras_subpkg -n go2rpm all vendor

%changelog
%autochangelog
* Thu Mar 28 2024 Maxwell G <maxwell@gtmx.me> - 1.12.0^3.20240328.ffbadcc-1
- packaging: update upstream and convert to forge macros

* Thu Mar 28 2024 Maxwell G <maxwell@gtmx.me> - 1.12.0^2.20240328.108c1a1-1
- packaging: bump specfile Version to 1.12.0

* Thu Mar 28 2024 Maxwell G <maxwell@gtmx.me> - 1.12.0^1.20240328.0fb9390-1
- Post-release version bump

